Webhook
Esta página no está disponible en español. Se muestra la versión en inglés.
Send tenant webhook payloads
Builds the outbound payloads (same builder as preview), signs each with HMAC-SHA256 and POSTs it to the configured tenant URL synchronously. Returns a per-language result. Accessible with WebhookSend + tenant access.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Tenant UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/tenants/0c62ac53-56e1-43c1-bdcc-fcc7b9c3c8e9/webhook/send" \ -H "Content-Type: application/json" \ -d '{ "platform": "web", "languages": [ "en-US", "fr" ], "storyName": "production" }'{ "results": [ { "language": "en-US", "ok": true, "status": 200, "error": "string" } ]}{ "errors": { "name": "Empty value" }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}